Page MenuHomePhabricator

Replace "feed" UI with card/stack metaphor
Closed, ResolvedPublic

Description

The original UI prototype for this extension included the concept of a "feed" of images (~25 at a time, with the ability to load more as desired by clicking a button).

The latest designs from @PDrouin-WMF have moved away from this. Instead, the metaphor is that of a stack of cards – the user sees one at a time, has the ability to skip to the next if desired, and sees some visual elements that imply additional cards are stacked beneath the one they are presently looking at. Individual cards should be responsive and the entire UI should feel very comfortable on mobile devices as well as on desktop.

Related Objects

Event Timeline

egardner created this task.Sep 3 2019, 5:58 PM
AnneT claimed this task.Sep 13 2019, 5:48 PM

Change 537452 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/MachineVision@master] Refactor pager to follow cardstack design

https://gerrit.wikimedia.org/r/537452

Change 537452 merged by jenkins-bot:
[mediawiki/extensions/MachineVision@master] Refactor pager to follow cardstack design

https://gerrit.wikimedia.org/r/537452

Mholloway moved this task from Ready for dev to Done on the Machine vision board.Sep 20 2019, 5:08 PM
egardner closed this task as Resolved.Mon, Oct 21, 12:32 AM